<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"  async></script>
        <style>
            table,
            td {
                border: 1px solid #333;
            }

            thead,
            tfoot {
                background-color: #333;
                color: #fff;
            }

            body{
                display: flex;
                justify-content: center;
                flex-direction: column;
            }

            h1{
                text-align: center;
            }
        </style>
    </head>
    <body onload="testQuery();">
        <h1>Comparatif de la consommation d'énergie des téléphones</h1>
        <table>
            <thead>
                <tr>
                    <th >Phone name</th>
                    <th >Phone image</th>
                    <th>Battery capacity</th>
                </tr>
            </thead>
            <tbody id="body">
            </tbody>
        </table>
        <script>
            function testQuery(){
                var endpoint = "https://query.wikidata.org/sparql";
                var query = `
                    PREFIX bd: <http://www.bigdata.com/rdf#> 
                    PREFIX wikibase: <http://wikiba.se/ontology#> 
                    PREFIX wd: <http://www.wikidata.org/entity/> 
                    PREFIX wdt: <http://www.wikidata.org/prop/direct/> 

                    # select  *
                    select  ?telephoneLabel ?telephone ?battery ?image
                    where {
                        ?telephone wdt:P31 wd:Q10929058 ;
                                    wdt:P279 wd:Q22645 ;
                                    wdt:P4140 ?battery ;
                                wdt:P18 ?image.
                    SERVICE wikibase:label{
                        bd:serviceParam wikibase:language \"fr,enf,de\"
                    }
                    } 
                    LIMIT 10`;

            // $('#bodyContentResearch').append(queryDataset);
                $.ajax({
                            url: endpoint,
                            dataType: 'json',
                            data: {
                                queryLn: 'SPARQL',
                                query: query ,
                                limit: 'none',
                                infer: 'true',
                                Accept: 'application/sparql-results+json'
                            },
                            success: displayResult,
                            error: displayError
                    });
            }

            function displayError(xhr, textStatus, errorThrown) {
                console.log(textStatus);
                console.log(errorThrown);
            }

            function displayResult(data) {
                $.each(data.results.bindings, function(index, bs) {
                    console.log(bs);
                    let html = "";
                    html+=`
                        <tr>
                            <td>
                                <p> ${bs.telephoneLabel.value} </p>
                            </td>
                            <td>
                                <img height="100px" src="${bs.image.value}" />
                            </td>
                            <td>
                                <p> ${bs.battery.value} </p>
                            </td>
                        </tr>
                    `;
                    $("#body").append( html);
                });
            }

        </script>
    </body>
</html>